Yahaay CodeStash

Silverstripe Server Requirements

Web server software requirements

  • PHP 5.3.2+
  • We recommend using a PHP accelerator or opcode cache, such as xcache or WinCache.
  • Allocate at least 48MB of memory to each PHP process. (SilverStripe can be resource hungry for some intensive operations.)
  • Required modules: dom, gd2, fileinfo, hash, iconv, mbstring, mysqli (or other database driver), session, simplexml, tokenizer, xml.
  • Recommended configuration
    <code>safe_mode = Off
    magic_quotes_gpc = Off
    memory_limit = 48M</code>
  • See phpinfo() for more information about your environment
  • One of the following databases:
  • One of the following web server products:
    • Apache 2.0+ with mod_rewrite and “AllowOverride All” set
    • IIS 7+
    • Support for Lighttpd, IIS 6, and other web servers may work if you are familiar with configuring those products.
  • We recommend enabling content compression (for example with mod_deflate) to speed up the delivery of HTML, CSS, and JavaScript.
  • One of the following operating systems:
    • Linux/Unix/BSD
    • Microsoft Windows XP SP3, Vista, Windows 7, Server 2008, Server 2008 R2
    • Mac OS X 10.4+

Leave a Reply

Your email address will not be published. Required fields are marked *